#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Joanna Rutkowska <joanna@invisiblethingslab.com>
# Copyright (C) 2010  Rafal Wojtczuk  <rafal@invisiblethingslab.com>
# Copyright (C) 2012  Marek Marczykowski <marmarek@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

Name:		qubes-libvchan-xen
Version:	4.2.1
Release:	1%{dist}

Summary:	Qubes vchan libraries
License:	GPL v2 only
Group:		Qubes
Vendor:		Invisible Things Lab
URL:		http://www.qubes-os.org
Obsoletes:  qubes-core-libs < 2.1.2
Provides:   qubes-core-libs
Provides:   qubes-libvchan
BuildRequires: gcc
BuildRequires: xen-devel >= 4.2
Source0:    %{name}-%{version}.tar.gz

%description
The Qubes core libraries for installation inside a Qubes Dom0 and VM.

%prep
%setup -q

%build
%set_build_flags
export LIBDIR=%{_libdir}
export INCLUDEDIR=%{_includedir}
make all

%install
export LIBDIR=%{_libdir}
export INCLUDEDIR=%{_includedir}
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT
rm -f %{name}-%{version}

%files
# keep for compat reason, move to -devel when everything gets rebuilt
%{_libdir}/libvchan-xen.so
%{_libdir}/libvchan-xen.so.*

%package devel
Summary:        Include files for qubes core libraries
License:        GPL v2 only
Group:          Development/Sources 
Obsoletes:      qubes-core-appvm-devel
Obsoletes:      qubes-core-vm-devel < 2.1.2
Obsoletes:      qubes-core-libs-devel < 2.1.2
Provides:       qubes-core-vm-devel
Provides:       qubes-core-libs-devel
Provides:       qubes-libvchan-devel
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel

%files devel
%{_includedir}/vchan-xen/libvchan.h
%{_libdir}/pkgconfig/vchan-xen.pc
%{_libdir}/pkgconfig/vchan.pc

%changelog
* Tue Apr 25 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-vchan-xen.git

* Tue Apr 25 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 23dd510
- version 4.2.1

* Tue Apr 25 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 468e99d
- Fix use after free detected by GCC 13

* Tue Apr 25 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - abaffc6
- archlinux: support for new packaging in legacy builder

* Fri Mar 31 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b778d8c
- Rework Archlinux packaging

* Mon Jan 09 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3999d1e
- version 4.2.0

* Mon Jan 09 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7b79a9f
- debian: bump compat level to 10

* Mon Jan 09 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 912deec
- debian: fail the build if files are missing

* Mon Jan 09 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d195d3b
- debian: rename package for proper soname handling

* Mon Jan 09 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1fe1637
- Link with libxenstore

* Mon Jan 09 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 51e1a82
- Properly define soname

* Sat Jan 07 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 051e657
- Make all the public function deal with half-open client vchan

* Sat Jan 07 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 76ec7b4
- Interface for async client connection

* Fri Dec 02 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1280f49
- version 4.1.12

* Fri Dec 02 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5a75986
- debian: do not hardcode libxenstore version

* Fri Dec 02 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8a867e2
- version 4.1.11

* Sat Nov 12 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 28a5e2c
- version 4.1.10

* Fri Nov 11 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 62168be
- Validate port numbers

* Fri Nov 11 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - d469220
- Validate peer domain IDs

* Fri Nov 11 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - c36ad31
- Better build system

* Fri Nov 11 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - ce88553
- Avoid using reserved identifiers in macros

* Fri Nov 11 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - ef43907
- Add missing <stdbool.h> include

* Fri Nov 11 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2f71221
- version 4.1.9

* Fri Nov 11 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 5fd315c
- Allow controlling the blocking flag of a vchan

* Wed Nov 02 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 0eea54b
- Stricter domid validation

* Wed Aug 31 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 445fb48
- version 4.1.8

* Wed Aug 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - db33541
- Add -D_FORTIFY_SOURCE=2 unconditionally

* Wed Aug 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 53bbef8
- Switch from select() to poll()

* Wed Aug 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 99fcc8c
- Include <stddef.h> before using size_t

* Wed Aug 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 7e4facf
- libvchan_client_init(): avoid leaking resources

* Wed Aug 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 9c96563
- Avoid leaks in libvchan_server_init()

* Wed Aug 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - e9d951c
- Do not leak Xen control interface

* Thu Jul 14 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d00b226
- ci: include windows build too

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 8d42a45
- .qubesbuilder: replace 'spec' by 'build'

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3c8c30d
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5868238
- Drop Travis CI

* Fri Jan 21 2022 Mikhail Lukashov <mlukashov@tabit.pro> - 6877173
- windows: improve logging

* Fri Nov 12 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - be3453b
- Makefile.builder: restrict build for BACKEND_VMM=xen

* Thu Dec 31 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 557996f
- version 4.1.7

* Wed Dec 02 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6f50b9d
- archlinux: fix missing symlink in refactor

* Tue Dec 01 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7411370
- version 4.1.6

* Tue Dec 01 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 122f93b
- Include extra 'backend_vmm' variable in pkgconfig file

* Wed Nov 18 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5cdec00
- version 4.1.5

* Tue Nov 17 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8dd6ad8
- Remove u2mfn lib

* Mon Nov 16 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 51c9221
- Add .gitlab-ci.yml

* Sat Nov 14 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e913b1e
- debian: provide generic libvchan{,-dev} packages

* Sat Nov 14 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 208c56a
- archlinux: polish PKGBUILD

* Sat Nov 14 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b34fa9f
- Create symlink to vchan-xen.pc

* Mon Aug 31 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9c78c52
- version 4.1.4

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7a29c8f
- Update travis

* Sat Jan 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f40b71a
- travis: switch to dom0 Fedora 31

